Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.fourthline.cling.support.model.dlna
Enum DLNAAttribute.Type

    java.lang.Object
      java.lang.Enum<DLNAAttribute.Type>
          org.fourthline.cling.support.model.dlna.DLNAAttribute.Type

All Implemented Interfaces:
  Serializable, Comparable<DLNAAttribute.Type>

Enclosing class:
  DLNAAttribute<T>

    public static enum DLNAAttribute.Type

extends Enum<DLNAAttribute.Type>

Maps a standardized DLNA attribute to potential attribute subtypes.

Enum Constant Summary
`DLNA_ORG_CI`
`DLNA_ORG_FLAGS`
`DLNA_ORG_OP`
`DLNA_ORG_PN` Order is important for DLNAProtocolInfo
`DLNA_ORG_PS`

Method Summary
`String` | `getAttributeName()`
`Class<? extends DLNAAttribute>[]` | `getAttributeTypes()`
`static DLNAAttribute.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DLNAAttribute.Type` | `valueOfAttributeName(String attributeName)`
`static DLNAAttribute.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DLNA_ORG_PN

    public static final DLNAAttribute.Type DLNA_ORG_PN

  Order is important for DLNAProtocolInfo

### DLNA_ORG_OP

    public static final DLNAAttribute.Type DLNA_ORG_OP

### DLNA_ORG_PS

    public static final DLNAAttribute.Type DLNA_ORG_PS

### DLNA_ORG_CI

    public static final DLNAAttribute.Type DLNA_ORG_CI

### DLNA_ORG_FLAGS

    public static final DLNAAttribute.Type DLNA_ORG_FLAGS

Method Detail

### values

    public static DLNAAttribute.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DLNAAttribute.Type c : DLNAAttribute.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DLNAAttribute.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getAttributeName

    public String getAttributeName()

### getAttributeTypes

    public Class<? extends DLNAAttribute>[] getAttributeTypes()

### valueOfAttributeName

    public static DLNAAttribute.Type valueOfAttributeName(String attributeName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.